Use this API to update a Group. Partial updates are supported.
This API only updates the Group’s
name,policy_id, andreference. It does not manage member users or admins — Group membership is managed on the User resource, not through this API.
Resource URL
https://<subdomain>.onelogin.com/api/2/groups/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Content-Type required string | Set to application/json. |
Request Parameters
name string | Name of the Group. Must be unique within the account. |
policy_id integer | ID of a Security Policy on the same account to assign to this Group. |
reference string | An external reference/identifier for the Group. Must be unique within the account. This value is write-only and is never returned in the API response. |
Sample Responses
- 200 OK
- 401 Unauthorized
- 422 Unprocessable Entity
{
"id": 123,
"name": "Sample Group (Updated)",
"policy": {
"id": 8801,
"name": "New Policy"
},
"admins": [],
"users": []
}Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer:<access_token>.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Indicates that the syntax of the request is good but a value supplied is not valid, e.g. policy_id does not reference an existing Policy on the account.
{
"message": "Validation failed: The associated Policy with ID 0 could not be found",
"statusCode": 422,
"name": "UnprocessableEntityError"
}Postman Collection
- Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Update Group
curl 'https://<subdomain>.onelogin.com/api/2/groups/:id' \
-X PUT \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"policy_id": <policy_id>
}'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.